
function switchZoneMode(autoMode, zone) {
    executeAction('switch_zone_mode' ,zone, (autoMode ? 'automatic' : 'manual'));
    sleep(1000).then(() => {
        refreshContent();
    });
    
}
function switchZoneState(command, zone, value) {
    executeAction(command, zone, value);
    sleep(1000).then(() => {
        refreshContent();
    });
}
function switchZoneStateByValueID(command, zone, valueID, valueFactor) {
    executeActionByValueID(command, zone, valueID, valueFactor);
    sleep(1000).then(() => {
        refreshContent();
    });
}
function deleteJobsForZone(command, zone) {
    executeAction(command, zone);
    sleep(1000).then(() => {
        refreshContent();
    });
}
function deleteJobById(command, jobId) {
    executeAction(command, jobId);
    sleep(1000).then(() => {
        refreshContent();
    });
}